DtWsmAddCurrentWorkspaceCallback(library call)

NAME
DtWsmAddCurrentWorkspaceCallback — add a callback to be called when the current workspace changes

SYNOPSIS

#include &<Dt/Wsm.h>
DtWsmCBContext DtWsmAddCurrentWorkspaceCallback(
Widget widget,
DtWsmWsChangeProc ws_change,
Pointer client_data);

DESCRIPTION

The DtWsmAddCurrentWorkspaceCallback function registers an application function to be called when the XCDE workspace manager, dtwm(1), switches to a new workspace.

The workspace manager sends the new current workspace name to the DtWsmWsChangeProc callback.

The widget argument is a realized widget.

The ws_change argument is the procedure to be called when the workspace changes.

The client_data argument points to arbitrary client data to be passed back to ws_change.

The header defines the DtWsmWsChangeProc callback prototype as follows:

typedef void (*DtWsmWsChangeProc)(Widget widget,
        Atom aWorkspace,
        Pointer client_data);

The widget argument is the ID of the widget to be registered with the callback.

The aWorkspace argument is the name of the new current workspace (converted to an X atom).

The client_data argument points to the client data to be registered with the callback.

RETURN VALUE

Upon successful completion, the DtWsmAddCurrentWorkspaceCallback function returns a workspace callback registration context.

APPLICATION USAGE

The DtWsmAddCurrentWorkspaceCallback function returns a registration context that the application must save in order to remove this callback later. DtWsmAddCurrentWorkspaceCallback requires a window; thus, a gadget is not acceptable for the widget argument. The DtWsmRemoveWorkspaceCallback(3) function needs a registration context to remove the callback.

SEE ALSO

Dt/Wsm.h - DtWsm(5), dtwm(1), DtWsmRemoveWorkspaceCallback(3).